use reqwest::Error;
use rocket::http::Status;

pub enum FejError {
    InvalidArgument,
    FailedRequest,
}

impl From<FejError> for Status {
    fn from(err: FejError) -> Status {
        match err {
            FejError::InvalidArgument => Status::BadRequest,
            FejError::FailedRequest => Status::InternalServerError,
        }
    }
}

// TODO make this more advanced where possible
impl From<Error> for FejError {
    fn from(_: Error) -> FejError {
        FejError::FailedRequest
    }
}
