mod controller;
#[cfg(test)]
mod tests;

use rocket::http::Status;
use rocket_contrib::json::Json;

pub fn routes() -> Vec<rocket::Route> {
    routes![route_search_streets, route_get_pickup_times]
}

#[get("/search?<street>")]
pub fn route_search_streets(street: String) -> Result<Json<Vec<controller::Street>>, Status> {
    Ok(Json(controller::search_streets(&street)?))
}

#[get("/?<street>&<number>&<start_date>&<end_date>")]
pub fn route_get_pickup_times(
    street: controller::Street,
    number: u32,
    start_date: controller::BasicDate,
    end_date: controller::BasicDate,
) -> Result<Json<Vec<controller::PickupTime>>, Status> {
    Ok(Json(controller::get_pickup_times(
        street, number, start_date, end_date,
    )?))
}
