use rocket::http::Status;
use rocket::local::Client;

fn rocket() -> rocket::Rocket {
    rocket::ignite().mount("/", super::routes())
}

/// Test 404 response
#[test]
fn test_404_response() {
    let client = Client::new(rocket()).expect("valid rocket instance");
    let response = client.get("/").dispatch();

    assert_eq!(response.status(), Status::NotFound);
}

/// Test 404 on invalid parameters
#[test]
fn test_invalid_parameters() {
    let client = Client::new(rocket()).expect("valid rocket instance");
    let response = client
        .get("/?street=astreet+(city)&number=500&start_date=2021-04-04&end_date=2021-04-555")
        .dispatch();

    assert_eq!(response.status(), Status::NotFound);
}
